Can't update. xorg-proto packages are blocking everything

Added by Diego Rodríguez 4 months ago

Hi, I'm unable to update my system because the xorg-proto packages are blocking everything.
The conflicting packages are the following:

[binary  N     ] x11-base/xorg-proto-2018.4::gentoo  212 KiB
[blocks B      ] <x11-proto/xf86bigfontproto-1.2.0-r2 ("<x11-proto/xf86bigfontproto-1.2.0-r2" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/xf86dgaproto-2.1-r3 ("<x11-proto/xf86dgaproto-2.1-r3" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/fontsproto-2.1.3-r1 ("<x11-proto/fontsproto-2.1.3-r1" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/compositeproto-0.4.2-r2 ("<x11-proto/compositeproto-0.4.2-r2" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/resourceproto-1.2.0-r1 ("<x11-proto/resourceproto-1.2.0-r1" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/videoproto-2.3.3-r1 ("<x11-proto/videoproto-2.3.3-r1" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/inputproto-2.3.2-r1 ("<x11-proto/inputproto-2.3.2-r1" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/recordproto-1.14.2-r2 ("<x11-proto/recordproto-1.14.2-r2" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/fixesproto-5.0-r2 ("<x11-proto/fixesproto-5.0-r2" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/damageproto-1.2.1-r2 ("<x11-proto/damageproto-1.2.1-r2" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/xproto-7.0.31-r1 ("<x11-proto/xproto-7.0.31-r1" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/kbproto-1.0.7-r1 ("<x11-proto/kbproto-1.0.7-r1" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/xextproto-7.3.0-r1 ("<x11-proto/xextproto-7.3.0-r1" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/xf86vidmodeproto-2.3.1-r2 ("<x11-proto/xf86vidmodeproto-2.3.1-r2" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/randrproto-1.5.0-r1 ("<x11-proto/randrproto-1.5.0-r1" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/renderproto-0.11.1-r2 ("<x11-proto/renderproto-0.11.1-r2" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/scrnsaverproto-1.2.2-r2 ("<x11-proto/scrnsaverproto-1.2.2-r2" is blocking x11-base/xorg-proto-2018.4)
[blocks B      ] <x11-proto/xineramaproto-1.2.1-r2 ("<x11-proto/xineramaproto-1.2.1-r2" is blocking x11-base/xorg-proto-2018.4) 

Running emerge -av1uD xorg-proto $(eix -IC# x11-proto) does not help, as it shows exactly the same issue.

It also doesn't let me unmerge one by one.

Please help!


Replies (1)

RE: Can't update. xorg-proto packages are blocking everything - Added by Mikhail Hiretsky 4 months ago

Is x11-proto/xf86bigfontproto and other packages located in /var/lib/portage/world?

grep proto /var/lib/portage/world

(1-1/1)

Thank you!